{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/bdbs/modules/config",
  "title": "Database modules config requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/bdbs/modules/config/",
  "summary": "Configure Redis module requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-01-30T12:29:26-06:00",
  "page_type": "content",
  "content_hash": "507ba8a5e77b2b8a3ad75bdebe3218684299b5e3750d4e853f11c8f519a9bd2f",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "This REST API path is deprecated as of Redis Software version 7.4. Use [`PUT /v2/bdbs/<uid>`](https://redis.io/docs/latest/operate/rs/references/rest-api/requests/bdbs#put-bdbs-action) instead.\n\n\n| Method | Path | Description |\n|--------|------|-------------|\n| [POST](#post-bdb-modules-config) | `/v1/bdbs/{uid}/modules/config` | Configure module |"
    },
    {
      "id": "post-bdb-modules-config",
      "title": "Configure module",
      "role": "configuration",
      "text": "POST /v1/bdbs/{string: uid}/modules/config\n\nUse the module runtime configuration command (if defined) to configure new arguments for the module.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [edit_bdb_module](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#edit_bdb_module) |"
    },
    {
      "id": "post-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tPOST /v1/bdbs/1/modules/config\n\n#### Example JSON body\n\n[code example]\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n\n#### Request body\n\n| Field | Type | Description |\n|-------|------|-------------|\n| modules | list of JSON objects | List of modules (module_name) and their new configuration settings (module_args) |\n| module_name | `search`<br />`ReJSON`<br />`graph`<br />`timeseries`<br />`bf` | Module's name |\n| module_args | string | Module command line arguments (pattern does not allow special characters &,<,>,\") |"
    },
    {
      "id": "post-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a status code. If an error occurs, the response body may include an error code and message with more details."
    },
    {
      "id": "post-error-codes",
      "title": "Error codes",
      "role": "errors",
      "text": "When errors are reported, the server may return a JSON object with `error_code` and `message` field that provide additional information. The following are possible `error_code` values:\n\n| Code | Description |\n|------|-------------|\n| db_not_exist | Database with given UID doesn't exist in cluster | \n| missing_field | \"module_name\" or \"module_args\" are not defined in request | \n| invalid_schema | JSON object received is not a dict object | \n| param_error | \"module_args\" parameter was not parsed properly | \n| module_not_exist | Module with given \"module_name\" does not exist for the database |"
    },
    {
      "id": "post-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | Success, module updated on bdb. |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | bdb not found. |\n| [400 Bad Request](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1) | Bad or missing configuration parameters. |\n| [406 Not Acceptable](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7) | Module does not support runtime configuration of arguments. |"
    }
  ],
  "examples": [
    {
      "id": "post-request-ex0",
      "language": "json",
      "code": "{\n  \"modules\": [\n    {\n      \"module_name\": \"search\",\n      \"module_args\": \"MINPREFIX 3 MAXEXPANSIONS 1000\"\n    }\n  ]\n}",
      "section_id": "post-request"
    }
  ]
}
